TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Is ( type t1, type t2 )

### Description

<shortdoc> 'TRUE' if 't2' matches more types than 't1', 'FALSE' otherwise. </shortdoc>

### Examples

Is(elt-ord^rat,elt); Is(elt-ord^rat,elt-alg); Is(elt-ord^rat,elt-any^rat); Is(fld,rng); Is(fld^rat,rng^rat);

### See also

Types
Type ( any ) -> type
ShowTypes
NewType ( string ) -> type
NewType ( string, elt-ord^rat ) -> type

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack